inspectPackagePluginFrame
HEAD
/api/v1/player/packages/{packageId}/plugins/{pluginId}/frame
const url = 'https://example.com/api/v1/player/packages/example/plugins/example/frame';const options = {method: 'HEAD', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request HEAD \ --url https://example.com/api/v1/player/packages/example/plugins/example/frame \ --header 'Authorization: Bearer <token>'Inspect an installed external plugin frame with a device credential.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”packageId
required
string
Store package identifier such as countdown_bar.
pluginId
required
string
Responses
Section titled “ Responses ”External plugin frame metadata
Device credential invalid or revoked
Screen disabled
Package or frame unavailable